karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bengt Rodehav <be...@rodehav.com>
Subject Re: Apache Karaf 2.3.0 vs 2.2.x
Date Tue, 09 Oct 2012 13:59:32 GMT
OK - good. I wasn't aware that 0.3.1 fixed this issue.

TBH I find it extremely hard to keep track of Aries different releases and
what's included in what release. I can't even find any information about
the 0.3.1 release on theire web site. I can't even find the release notes
for the current (1.0.0?) release.

As a developer it´s pretty hard to upgrade your Aries dependencies on your
own since I have no idea which versions of which modules have actually been
tested and verified together. This might have improved now but the idea of
releasing every little module on its own instead of providing a complete
set of modules that are known to work together is not very user friendly. I
tend to rely on projects like Karaf and use the version of Aries that you
use. So, I'm glad you guys solved it for me.

Thanks,

/Bengt



2012/10/9 Achim Nierbeck <bcanhome@googlemail.com>

> Hi Bengt,
>
> to my knowledge Karaf 2.2.9 uses a 0.3.1 (or higher) which also
> includes the corresponding Bug-Fix and therefore should work.
>
> regards, Achim
>
> 2012/10/9 Bengt Rodehav <bengt@rodehav.com>:
> > Just a question since I've seen that Karaf 2.3.0 is in the works.
> >
> > I've just encountered a bug in Aries Proxy 0.3 (Aries-908 in JIRA) that
> > causes Proxy 0.3  to fail with JVM 1.6.0_33 and later. This has been
> fixed
> > in Aries but I noticed that Karaf 2.2.9 still uses Proxy 0.3. Karaf 2.3.0
> > seems to have been upgrade to Proxy 1.0 (which should work).
> >
> > Are there any plans to release a Karaf 2.2.10 with a new proxy version?
> > Otherwise, I believe many people may encounter the same problem I did
> when
> > upgrading their JVM version. For me personally I'm waiting for the 2.3.0
> to
> > be released and then I'll upgrade my custom distribution. Not sure how
> > people generally do this but a 2.2.10 with an upgraded proxy might be
> needed
> > for some people.
> >
> > /Bengt
>
>
>
> --
>
> Apache Karaf <http://karaf.apache.org/> Committer & PMC
> OPS4J Pax Web <http://wiki.ops4j.org/display/paxweb/Pax+Web/>
> Committer & Project Lead
> OPS4J Pax for Vaadin
> <http://team.ops4j.org/wiki/display/PAXVAADIN/Home> Commiter & Project
> Lead
> blog <http://notizblog.nierbeck.de/>
>

Mime
View raw message